### AUTOUPDATE-OFF: 8 9
Name:          libcdio
Version:       2.0.0
Release:       1mamba
Summary:       Compact Disc Input and Control Library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           http://savannah.gnu.org/projects/libcdio/
Source:        http://ftp.gnu.org/gnu/libcdio/%{name}-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
%if "%{stage1}" != "1"
BuildRequires: libcddb-devel
%endif
BuildRequires: libgcc
BuildRequires: libncurses-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
#BuildRequires: libvcdimager-devel
Requires(post):%{__install_info}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The Compact Disc Input and Control library encapsulates CD-ROM reading and control and can be used in applications wishing to be oblivious of the OS-and device-dependant properties of a CD-ROM.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The Compact Disc Input and Control library encapsulates CD-ROM reading and control and can be used in applications wishing to be oblivious of the OS-and device-dependant properties of a CD-ROM.
This package contains static libraries and header files need for development.

%package tools
Group:         Applications/Multimedia
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%prep
%setup -q

%build
%configure --disable-static
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
%install_info %{name}.info
:

%preun devel
%uninstall_info %{name}.info
:

%files
%defattr(-,root,root)
%{_libdir}/libcdio++.so.*
%{_libdir}/libcdio.so.*
#%{_libdir}/libcdio_cdda.so.*
#%{_libdir}/libcdio_paranoia.so.*
%{_libdir}/libiso9660++.so.*
%{_libdir}/libiso9660.so.*
%{_libdir}/libudf.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/cdio
%{_includedir}/cdio/*.h
%{_includedir}/cdio++/*.hpp
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libcdio.pc
%{_libdir}/pkgconfig/libcdio++.pc
#%{_libdir}/pkgconfig/libcdio_cdda.pc
#%{_libdir}/pkgconfig/libcdio_paranoia.pc
%{_libdir}/pkgconfig/libiso9660.pc
%{_libdir}/pkgconfig/libiso9660++.pc
%{_libdir}/pkgconfig/libudf.pc
%{_infodir}/libcdio.*
%doc ChangeLog NEWS README README.libcdio THANKS TODO

%files tools
%defattr(-,root,root)
%{_bindir}/cd-drive
%{_bindir}/cd-info
#%{_bindir}/cd-paranoia
%{_bindir}/cd-read
%{_bindir}/cdda-player
%{_bindir}/iso-info
%{_bindir}/iso-read
%{_bindir}/mmc-tool
#%{_mandir}/man1/cd-paranoia.*
#%{_mandir}/jp/man1/cd-paranoia.*
%{_mandir}/man1/cd-drive.*
%{_mandir}/man1/cd-info.*
%{_mandir}/man1/cd-read.*
%{_mandir}/man1/iso-info.*
%{_mandir}/man1/iso-read.*

%changelog
* Sun Jan 14 2018 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Sat Dec 16 2017 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic update by autodist

* Wed Dec 21 2016 Automatic Build System <autodist@mambasoft.it> 0.94-1mamba
- automatic version update by autodist

* Sun Oct 05 2014 Automatic Build System <autodist@mambasoft.it> 0.93-1mamba
- automatic update by autodist

* Fri Dec 20 2013 Automatic Build System <autodist@mambasoft.it> 0.92-1mamba
- automatic update by autodist

* Fri Jan 18 2013 Automatic Build System <autodist@mambasoft.it> 0.90-1mamba
- automatic version update by autodist

* Thu Oct 27 2011 Automatic Build System <autodist@mambasoft.it> 0.83-1mamba
- automatic version update by autodist

* Sat Mar 19 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.82-3mamba
- rebuilt to add pkgconfig and libtool provides

* Tue Feb 09 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.82-2mamba
- fix info page installation by moving script to devel package

* Wed Jan 13 2010 Automatic Build System <autodist@mambasoft.it> 0.82-1mamba
- automatic update by autodist

* Tue Dec 30 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.81-1mamba
- automatic update by autodist

* Thu Oct 02 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.80-1mamba
- automatic update by autodist

* Mon Jun 18 2007 Aleph0 <aleph0@openmamba.org> 0.78.2-2mamba
- do not build the static library

* Fri Jan 26 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.78.2-1qilnx
- update to version 0.78.2 by autospec

* Tue Apr 26 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.73-1qilnx
- update to version 0.73 by autospec

* Thu Nov 18 2004 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 0.70-1qilnx
- package created by autospec
